Ubuntu

intel graphics turbo disabled

Reported by Edward Lee on 2010-09-29
726
This bug affects 93 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

[ 18.132039] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled

This probably has something to do with the load order of the intel modules; intel-ips does its job before the i915 driver has a chance to be loaded.

Edward Lee (tigerfishdaisy) wrote :
Edward Lee (tigerfishdaisy) wrote :
Edward Lee (tigerfishdaisy) wrote :
Edward Lee (tigerfishdaisy) wrote :
tags: added: kj-triage
AttilioSuccio (ehol) wrote :

I have the same problem too.
I am currently on ubuntu maverick RC and that problem wasn't there with ubuntu lucid
The performance of glxgears is terrible, considering the fact that I am on a i5 430 and 4gb ram. Ubuntu 64 bit.
My dmesg is very similar to the one attached (execpt for the nouveau drivers, because my laptop is a hybrid graphic one)

Urschl (bigurschl) wrote :

I also have this message while booting an Dell Latitude E6510 with Ubuntu Maverik

teh603 (darth-giles) wrote :

I have this problem too on Maverick with a Dell Inspiron 1564. I can provide lspci and other information upon request.

Syam (jhuwette) wrote :

Same problem on HP pavilion dv7 laptop

Costas (costasp9) wrote :

same on toshiba a660-149

Rurik Krylov (rurikk) wrote :

The same message, Maverick amd64, Lenovo T510 (i5) Nvidia NVS 3100m

Same problem here on a Dell Latitude e6410. I get the above message at boot, poor graphics performance and, obviously, fan spinning all the time because the CPU overheats.

tomko222 (tomko222) wrote :

Same message in Toshiba Satellite L650-11F (Radeon HD5650). Is this problem caused by the integrated gpu in intel i5 cpu?

JLimperg (jannis-limperg) wrote :

Same with Samsung r780. Might have something to do with the combination of on-board Intel graphics chip and additional NVidia graphics card.

See
http://www.samsung.com/uk/consumer/pc-peripherals/notebook-computers/performance/NP-R780-JS03UK/index.idx?pagetype=prd_detail&tab=specification
for specifications.

Processor: Intel i5-430M
Graphics Card: nVIDIA GeForce GT 330M

Haven't noticed performance decrease during usual work until now, though.

mario suaza (inuyasha391) wrote :

Same message in sony vaio vpceb15el
intel i3 330

Alessandro Carini (carini) wrote :

Same to me, it seems a very common problem, Anyway graphics in my laptop seems to work fine (heavy battery drain, but this is another problem)

System Information
        Manufacturer: Hewlett-Packard
        Product Name: HP Pavilion dv6 Notebook PC
        Version: 049C210000241310000020000
        UUID: 434E4630-3031-3450-3544-00269ECFDBEB
        Wake-up Type: Power Switch
        SKU Number: WG640EA#ABZ
        Family: 103C_5335KV

Graphic card is an integrate nvdia
01:00.0 VGA compatible controller: nVidia Corporation G98M [GeForce G105M] (rev a2)

After updating the graphic card with nVidia proprietary drivers (modules) i got also a lot of garbage during startup/shutdown

Same problem!
Asus U34JC i3
Intel and Nvidia
I'm running on Maverick 10.10.

[ 14.510607] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled
[ 14.792778] nouveau 0000:01:00.0: Invalid ROM contents
[ 14.859203] [drm] nouveau 0000:01:00.0: Pointer to BIT loadval table invalid
[ 14.884188] [drm] nouveau 0000:01:00.0: 0xDD22: Failed parsing init table opcode: INIT_ZM_I2C_BYTE -6

马漪凡 (myf3156789) wrote :

I also have this message while booting an Dell Latitude E6510 with Ubuntu 10.10
But its ok with 10.4

Jimmy Wylie (jimbodwin) wrote :

I have this problem on a Thinkpad t410s. Further, whenever I plug my computer into an external monitor, the display on the external monitor looks funky, with wavy lines etc.. like the refresh rate isn't set correctly. just to be sure, I checked for the problem in windows, and don't have an issue using an external display. I've tested this problem on two different projectors, and two different monitors (I have to give presentations fairly often). My thinkpad has an i5-540m processor.

Matt Ihnen (matt-ihnen) wrote :

Same problem here:

[ 16.241502] intel ips 0000:00:1f.6: Warning: CPU TDP doesn't match expected value (found 25, expected 35)
[ 16.241528] alloc irq_desc for 18 on node -1
[ 16.241531] alloc kstat_irqs on node -1
[ 16.241540] intel ips 0000:00:1f.6: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[ 16.241695] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled
[ 16.241838] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 65535

Brad Figg (brad-figg) on 2010-12-04
tags: added: acpi-method-return
tags: added: acpi-thermal
Mark Rooney (rooney-mark-a) wrote :

Ditto for me using Dell Inspiron 15R core i5 M450 and ATI Mobility HD5000 Series graphics.

Compiz does not work correctly even with the proprietary driver

Markus Igeland (markussss) wrote :

I'm on an HP G72 notebook, and gets this error when booting with nomodeset. Without nomodeset, I just get a blank display right after the GRUB-menu, with some cursor flickering inbetween.

Sjon Kosse (soreil) wrote :

Having the same issue here on my Thinkpad Edge 11. This is the Intel model with the i3 380UM.

Jakob (jakob-leczinsky) wrote :

I'm also having this problem. And since about a week ago my system has suddenly started to freeze randomly several times every day. I think the freezes has something to do with the nvidia driver because I'm getting loads of "NVRM: os_raise_smp_barrier(), invalid context!" in the messages log. But I'm not I'm not sure weather it's related to this error or not?

HP EliteBook 8440p
Ubuntu 10.10 32-bit version
Intel I7
Nvidia NVS 3100M

AceLan Kao (acelankao) wrote :

There is a work around
1. add intel_ips to the blacklist
   echo "blacklist intel_ips" >> /etc/modprobe.d/blacklist.conf
2. add i915 and intel_ips to /etc/modules
   echo -e "i915/nintel_ips" >> /etc/modules

hawthornso23 (hawthorn) wrote :

The workaround in #25 gives different errors. I see in dmesg

[drm:i915_init] *ERROR* drm/i915 can't work without intel_agp module!

JLimperg (jannis-limperg) wrote :

No errors here; the workaround seems to work. However, I did not notice any improvements (boot speed, performance etc.) as well.

For system specs see #13.

tomko222 (tomko222) wrote :

With #25 fix no errors in my computer now. Toshiba L650-11F: intel i5, radeon hd 5650.

shachafgo (shachaf-gold) wrote :

Error gone here also,

shachafgo (shachaf-gold) wrote :

Correction:

i also see an error in dmesg:

[drm:i915_init] *ERROR* drm/i915 can't work without intel_agp module!

Nigel Pallett (nigelp) wrote :

Should point 2 the workaround in #25 read as follows ? :

2. add i915 and intel_ips to /etc/modules
   echo -e "i915\nintel_ips" >> /etc/modules

i.e. "\n" instead of "/n

In my Acer 4820TG I have the same during boot, however looking at dmesg | turbo I can see:

[ 28.201017] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled
[ 33.422218] intel ips 0000:00:1f.6: i915 driver attached, reenabling gpu turbo

Mhmmhm

mans zigher (mans-zigher) wrote :

I have the same problem on my DELL Latitude E5510. I am not sure if this is the solution but at the http://intellinuxgraphics.org/ mailing list I the have made a patch which is not included in the ubuntu kernel (at least I could not find it). I am going to try and patch a kernel but if some one else would like to try here it is http://lists.freedesktop.org/archives/intel-gfx/2010-December/009017.html.

mans zigher (mans-zigher) wrote :

I forgot to say I am running kubunt 10.10 with kernel 2.6.35-25-generic.

mans zigher (mans-zigher) wrote :

It worked for me. I followed the steps in http://blog.avirtualhome.com/2010/11/06/how-to-compile-a-ubuntu-10-10-maverick-kernel/ but before building I patched the kernel with the patch from http://lists.freedesktop.org/archives/intel-gfx/2010-December/009017.html.
My new dmesg:
$ dmesg | grep intel
[ 0.000000] Linux version 2.6.35-25-intelgt (root@mans-LJPC) (gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5) ) #44 SMP Thu Feb 17 12:59:58 CET 2011 (Ubuntu 2.6.35-25.44-intelgt 2.6.35.10)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-2.6.35-25-intelgt root=UUID=a56802c9-18ce-455f-8db7-014779c24a21 ro crashkernel=384M-2G:64M,2G-:128M
[ 0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.35-25-intelgt root=UUID=a56802c9-18ce-455f-8db7-014779c24a21 ro crashkernel=384M-2G:64M,2G-:128M
[ 0.902666] intel_idle: MWAIT substates: 0x1120
[ 0.902668] intel_idle: v0.4 model 0x25
[ 0.902668] intel_idle: lapic_timer_reliable_states 0xffffffff
[ 0.905086] ACPI: acpi_idle yielding to intel_idle
[ 11.259910] agpgart-intel 0000:00:00.0: Intel HD Graphics Chipset
[ 11.260910] agpgart-intel 0000:00:00.0: detected 32764K stolen memory
[ 11.365005] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000
[ 11.365042] intel ips 0000:00:1f.6: Warning: CPU TDP doesn't match expected value (found 25, expected 35)
[ 11.365063] intel ips 0000:00:1f.6: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[ 11.365225] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled
[ 11.424083] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 65535
[ 13.019027] fb0: inteldrmfb frame buffer device
[ 18.324616] intel ips 0000:00:1f.6: i915 driver attached, reenabling gpu turbo
$ dmesg | grep ips
[ 11.259910] agpgart-intel 0000:00:00.0: Intel HD Graphics Chipset
[ 11.365042] intel ips 0000:00:1f.6: Warning: CPU TDP doesn't match expected value (found 25, expected 35)
[ 11.365063] intel ips 0000:00:1f.6: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[ 11.365225] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled
[ 11.424083] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 65535
[ 18.324616] intel ips 0000:00:1f.6: i915 driver attached, reenabling gpu turbo

I noticed that the start up time might be just a tiny bit longer.

Manoj Iyer (manjo) wrote :

can some one please test the kernel in http://kernel.ubuntu.com/~manjo/maverick/lp651104/ and report back here ?

Dominik Wujastyk (wujastyk) wrote :

tried kernel from #36, but no improvement. Thanks.

Nigel Pallett (nigelp) wrote :

I tested with a 64 bit 2.6.37 kernel from the following link:

http://www.ramoonus.nl/2011/01/linux-kernel-2-6-37-installation-guide-for-ubuntu-linux/

An it solved the problem for me - see output below from kernel log:

CPU TDP doesn't match expected value (found 25, expected 29)
kernel: [ 23.006634] intel ips 0000:00:1f.6: PCI INT C -> GSI 18 (level, low) -> IRQ 18
kernel: [ 23.006751] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled
kernel: [ 23.006897] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90
kernel: [ 28.205706] intel ips 0000:00:1f.6: i915 driver attached, reenabling gpu turbo

Daniel Manrique (roadmr) wrote :

I tried the kernel supplied by Manoj on #36. I'm running Maverick amd64 on a Samsung QX410 with dual graphics (integrated intel + NVidia 330M) and also have the "graphics turbo disabled" message, although I see no decreased functionality with Intel graphics (I haven't tried to enable the NVidia chipset with the matching drivers).

Anyway, the kernel (I had to --force-architecture) does not work, the system hangs with

request_module: runaway loop modprobe binfmt-464c

alecive (alecive) wrote :

Same problem on SONY VAIO VPCS12C5E, running Ubuntu Lucid Lynx 10.04 with 2.6.38-7-generic-pae (Natty kernel I think). My CPU is i5-450M, and I also have a dual graphic (NVidia 310M + integrated Intel).

A question: doing the workaround I'll simply remove that message or I'll improve my system? I didn't fully understood.. :)

kaspar hauser (kaspar-hauser) wrote :

Tested with 64 bit 2.6.38.1 kernel from http://duopetalflower.blogspot.com/2011/03/custom-kernel-26381-ubuntu-amd64.html which seems to have completely removed the problem (not just the message) for me:

kasparhauser@abhinavagupta:~$ dmesg | grep intel
[ 19.293936] agpgart-intel 0000:00:00.0: Intel HD Graphics Chipset
[ 19.294090] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[ 19.295027] agpgart-intel 0000:00:00.0: detected 65536K stolen memory
[ 19.295197] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xd0000000
[ 20.653764] fb0: inteldrmfb frame buffer device

Note: this only works on 64 bit systems!

Brad Figg (brad-figg) on 2011-05-04
Changed in linux (Ubuntu):
status: New → Confirmed
ultimatebuster (ultimatebusta) wrote :

Ubuntu 11.04 64bit. Same issue.

Also I can only boot into Ubuntu classcis with no effect under my intel card (I can switch between ATI and intel).

fglrxinfo:

display: :1.0 screen: 0
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) Ironlake Mobile GEM 20100330 DEVELOPMENT
OpenGL version string: 1.4 (2.1 Mesa 7.10.2)

Athul Iddya (athul-iddya) wrote :

Used to face this problem in Ubuntu 10.10, when I upgraded to 11.04 the problem disappeared. Then I installed Burg and the problem started again. Removing of burg just stopped the display of i915 message. The boot screen and shut-down screen of Ubuntu still appears in low-resolution, 8-bit color. No other problems due to this.

Athul Iddya (athul-iddya) wrote :

Forgot to mention that I have a Dell Studio with Core i5's built-in Intel GMA Graphics and ATI 5470 Graphics Card.

Same problem there

hawthornso23 (hawthorn) wrote :
Download full text (3.6 KiB)

This is still a persistent problem with me on my Dell E6510 with i5 processor.
Unlike some, I still had the problem after upgrading to natty.
In an effort to fix it I upgraded to a version of the 2.6.39.3 kernel
compiled with corei7 as native which some people said fixed the problem.
It didn't work for me.

OK - I reason. If the problem is modules loading out of order, then lets get rid of the whole module loading issue completely.
So I compiled a 2.6.39.3 kernel with all components involved actually compiled into the kernel and not merely compiled as modules. The results are ... interesting.

$ dmesg | grep intel
[ 3.321097] intel_idle: MWAIT substates: 0x1120
[ 3.321099] intel_idle: v0.4 model 0x25
[ 3.321100] intel_idle: lapic_timer_reliable_states 0xffffffff
[ 3.546876] ACPI: acpi_idle yielding to intel_idle
[ 3.994957] [drm:i915_init] *ERROR* drm/i915 can't work without intel_agp module!
[ 14.078987] intel ips 0000:00:1f.6: CPU TDP doesn't match expected value (found 25, expected 29)
[ 14.079002] intel ips 0000:00:1f.6: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[ 14.083154] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90
[ 20.185256] hda_intel: Disable MSI for Nvidia chipset
[ 24.284019] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 29.284544] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 34.285007] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 39.285459] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 44.287802] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 48.411798] hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
[ 49.290758] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 54.293801] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 59.306754] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 64.309786] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 69.312729] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 74.315683] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 79.318700] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 84.321632] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 89.324653] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 94.327672] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 99.330620] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 104.333595] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 109.336594] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 114.339546] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 119.342546] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 124.345544] intel ips 0000:00:1f.6: failed to disable graphis turbo
[ 129.348552] intel ips 0000:00:1f.6: failed to disable graphis turbo

and it continues to generate messages of this nature forever. It seems to me therefore that this problem is a little deeper than just a problem of modules loading out of order. Even when you compile everything involved into the kernel itself, it still won't work. The intel_agp module ...

Read more...

sacapeao (sacapeao) wrote :

I got this bug after update to
Linux 2.6.38-11-generic #48-Ubuntu SMP Fri Jul 29 19:02:55 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

====================================
The workaround:
boot in recovery mode then
sudo vi /etc/modprobe.d/blacklist.conf
add line:
blacklist intel_ips

finally reboot
====================================

More info:
$modinfo intel_ips
filename: /lib/modules/2.6.38-11-generic/kernel/drivers/platform/x86/intel_ips.ko
description: Intelligent Power Sharing Driver
author: Jesse Barnes <email address hidden>
license: GPL
srcversion: 02AAC1023E865612266D5FA
alias: pci:v00008086d00003B32sv*sd*bc*sc*i*
depends:
vermagic: 2.6.38-11-generic SMP mod_unload modversions

another_sam (anothersam) wrote :

I also get this message.

My machine:
Ubuntu 11.10
Kernel 3.1rc9 from kernel-ppa/mainline
Core i3-380m.

I've noticed the message with Kernel 3.1rc9. Don't know whether I had it before, or not. Besides, I changed my hardware two months ago.

Srinivas Upadhya (sri-m-88) wrote :

Im using mac ubuntu 11.04 (which i also updated to 11.10) on my mac book pro.
The error occurs because of which im not able to use ubuntu in live mode.
After installing it tries to load mac theme fails and falls back to normal theme. Things work fine for sometime but then hangs. This happened quiet a few times before & after update too.
Will i never be able to use ubuntu on mac?

Nikhil (sreenikhilk) wrote :

I have the same issue.

My system was working with out any issue before restarting my system i have installed following softwares.

1. Django,
2. Mysql server 5.5
3. Mysql benchmark

And i have installed few updates for ubuntu. It was showing as Security Updates for Ubuntu. After installing Updates the update manager showed that i should restart the system. On restart i got following error message.

" failed to get i915 symbols, graphics turbo disabled". So i tried the work around mentioned above. ie

1. add intel_ips to the blacklist
   echo "blacklist intel_ips" >> /etc/modprobe.d/blacklist.conf
2. add i915 and intel_ips to /etc/modules
   echo -e "i915/nintel_ips" >> /etc/modules

Now when start the system it freezes at Ubuntu splash screen.

I'm using Ubuntu 12.04 LTS, on Dell inspiron N1040. I need to boot the system as i have spend lot of days configuring. Python and Django.

Please help

juanjo perez (juanjoperez1) wrote :

I'm having the same issue in Ubuntu 12.04 hostedin Samsung RV511

Intel core i5 cpu m480 @ 2.67 Ghz x4
Geforce 315M/PCIe/SSE2
64-bit
Kernel 3.2.0-34-generic #53

Maybe after modifying compiz and unity. Also problems to logg in with original administrator user. Attach my sistem file.

information type: Public → Public Security
rocco (drapkin) wrote :

I have started to get this problem on my Dell E6510 with ubuntu 12.04 64 Bit starting with Kernel 3.2.0.-52.78, in 3.2.0.-53.81 it is still there. Seems like the system is booting and performing worse than before. With the old kernel the error is not there. Have a very bad feeling about automatical updates since then. The bug seems "confirmed" for 3 years, hm, so, I confirm it again :)

Edward Lee, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Duplicates of this bug

Other bug subscribers